Bug 1261076 - UI submits all template objects to v1 API, regardless of object API version
UI submits all template objects to v1 API, regardless of object API version
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jordan Liggitt
yapei
:
Depends On:
Blocks: 1295620
  Show dependency treegraph
 
Reported: 2015-09-08 10:11 EDT by Jordan Liggitt
Modified: 2016-01-05 00:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295620 (view as bug list)
Environment:
Last Closed: 2015-11-23 16:18:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Liggitt 2015-09-08 10:11:56 EDT
Description of problem:

Cloned from https://github.com/openshift/origin/issues/4410 to add QE test cases.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a template containing v1beta3 object definitions
2. Load the template into the API
3. In the web UI, create from the template

Actual results:
An API error is returned: "Cannot create object... the apiVersion does not match"

Expected results:
Object is created successfully.

Additional info:
Comment 1 Jordan Liggitt 2015-09-08 10:12:39 EDT
Fixed in https://github.com/openshift/origin/pull/4545
Comment 2 yapei 2015-09-09 06:00:41 EDT
QE added one test case https://goo.gl/rEc12o 

Tested on devenv_fedora_2304, it works well

Note You need to log in before you can comment on or make changes to this bug.